Create an Expenditure Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/custom

This endpoint creates an individual custom expenditure for a client.

Path parameters

  • client_uuid string Required

    The uuid of the client.

  • lifeStage_uuid string Required

    The uuid of the parent Life Stage.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      uuid of the Life Stage Field.

    • name string

      The name of the Life Stage Field.

    • section string

      The parent Life Stage Section of Field. Example: "Housekeeping Expenses"

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/custom
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/dcf0-484e-a0c5-08590fe89a84-f6aa1670/custom' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "4b496ef1-0826-4de4-9210-3c485179ffca",
  "name": "Electricity",
  "section": "Housekeeping Expenses",
  "created_at": "2026-08-07T15:29:24+01:00",
  "updated_at": "2026-08-07T15:29:24+01:00"
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}